Qt 5.6 | Qt Platform Headers | C++ Classes | QEGLNativeContext

Qt 5.6.2 Reference Documentation

# QEGLNativeContext Class

A class encapsulating an EGL context and display handle More...

Header: | #include <QEGLNativeContext>
Since: | Qt 5.4

- List of all members, including inherited members

## Public Functions

| QEGLNativeContext()
| QEGLNativeContext(EGLContext ctx, EGLDisplay dpy)
EGLContext | context() const
EGLDisplay | display() const

## Detailed Description

A class encapsulating an EGL context and display handle

Note: There is no binary compatibility guarantee for this class, meaning that an application using it is only guaranteed to work with the Qt version it was developed against.

See also QOpenGLContext::setNativeHandle() and QOpenGLContext::nativeHandle().

## Member Function Documentation

### QEGLNativeContext::QEGLNativeContext()

Construct a new instance with no handles.

### QEGLNativeContext::QEGLNativeContext(EGLContext ctx, EGLDisplay dpy)

Constructs a new instance with the provided ctx and dpy handles.

### EGLContext QEGLNativeContext::context() const

Returns the EGL context.

### EGLDisplay QEGLNativeContext::display() const

Returns the EGL display.